//
//  GXFActions.m
//  XFFruit
//
//  Created by freecui on 15/8/27.
//  Copyright (c) 2015年 Xummer. All rights reserved.
//

#import "GXFFunction.h"

@implementation GXFFunction

+ (instancetype)initClassWithDictionary:(NSDictionary *)dict {
    return [self initClassWithDictionary:dict];
}
- (instancetype)initWithDictionary:(NSDictionary *)dict {
    self = [super init];
    if (!self) {
        return nil;
    } else {
        self.Id = [dict[@"id"] integerValue];
        self.name = dict[@"name"];
        self.caption = dict[@"caption"];
        self.hasPermission = [dict[@"hasPermission"] integerValue];
        self.isSelected = [dict[@"isSelected"] integerValue];
        // [self setValuesForKeysWithDictionary:dict];
        return self;
    }
    
    
}
@end
